MKFIFO(1)

NAZWA
mkfifo - tworzy FIFO (potoki nazwane)

SKŁADNIA
mkfifo [opcja] nazwa...

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo mkfifo
lub
    info mkfifo.

Ta strona podręcznika man opisuje polecenie mkfifo w wersji GNU.

mkfifo tworzy FIFO (potoki nazwane) o podanych nazwach. Domyślnie, prawa utworzonego FIFO to 0666 minus bity ustawione w umask.

"FIFO" jest specjalnym typem pliku pozwalającego na komunikowanie się niezależnych procesów. Jeden z procesów otwiera plik FIFO do zapisu, zaś drugi do odczytu, po czym dane mogą przezeń przepływać jak przez zwykły potok anonimowy w powłokach czy gdzie indziej.

OPCJE

-m tryb, --mode=tryb
    Tworzonemu FIFO nadaje prawa dostępu zgodnie z parametrem tryb, przekazanym w formie symbolicznej, jak w chmod. Jako punktu wyjścia używa `a=rw' (odczyt i zapis dozwolony dla wszystkich) minus bity ustawione w umask. Zobacz `Prawa pliku' w podręczniku fileutils(1).

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy działanie.

--version
    Wyświetla numer wersji programu i kończy działanie.

AUTOR
Napisane przez Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-fileutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
fileutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi plikowych GNU wersji 4.01.